### Method

# EDataServer Source get_connection_status

since: 3.16

#### Declaration [src]

    ESourceConnectionStatus
    e_source_get_connection_status (
      ESource* source
    )

#### Description [src]

Obtain current connection status of the `source`.

Available since: 3.16

Gets property | `EDataServer.Source:connection-status`

#### Return value

Type: `ESourceConnectionStatus`

Current connection status of the `source`.